com.orsoncharts.table

## Enum HAlign

- java.lang.Object
- - java.lang.Enum<HAlign>
  - - com.orsoncharts.table.HAlign

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HAlign>

      public enum HAlign
      extends java.lang.Enum<HAlign>

  Horizontal alignment options.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER` Center alignment.
    `LEFT` Left alignment.
    `RIGHT` Right alignment.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HAlign` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HAlign[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final HAlign LEFT

      Left alignment.

    - #### CENTER

          public static final HAlign CENTER

      Center alignment.

    - #### RIGHT

          public static final HAlign RIGHT

      Right alignment.

  - ### Method Detail

    - #### values

          public static HAlign[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HAlign c : HAlign.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HAlign valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null